SIGSUM-KEY-TO-HEX(1)

NAME
sigsum-key-to-hex - convert public key in OpenSSH format to hex format

SYNOPSIS
sigsum-key to-hex [--help] [-k key-file] [-o output-file]

DESCRIPTION
Read a public key in OpenSSH format and output it in hex format. The public key is read on stdin and output is written on stdout. Override the default behavior using the -k and -o options.

OPTIONS

--help
    Show usage message and exit

-k, --key=key-file

    Public key in OpenSSH format

-o, --output=output-file

    Public key in hex format

RETURN CODES
A non-zero return code is used to indicate failure.

CONTACT
Send an email to the sigsum-general mailing list at sigsum-general@lists.sigsum.org. You can also reach out in room #sigsum at OFTC.net and matrix.org.

REPORTING BUGS
Use the issue tracker located at https://git.glasklar.is/sigsum/core/sigsum-go/-/issues. To file issues without a GitLab account, send an email to sigsum-core-sigsum-go-issues@incoming.glasklar.is and wait for a maintainer to make the issue public.

SEE ALSO
sigsum-key-from-hex(1) sigsum-key-from-vkey(1) sigsum-key-generate(1) sigsum-key-sign(1) sigsum-key-to-hash(1) sigsum-key-to-hex(1) sigsum-key-to-vkey(1) sigsum-key-verify(1) sigsum-monitor(1) sigsum-submit(1) sigsum-token(1) sigsum-tools(5) sigsum-verify(1)